%define	major 1
%define libname	%mklibname zip %{major}

Summary:	A C library for reading, creating, and modifying zip archives
Name:		libzip
Version:	0.9
Release:	%mkrel 1
Group:		System/Libraries
License:	BSD
URL:		http://www.nih.at/libzip/
Source0:	http://www.nih.at/libzip/%{name}-%{version}.tar.gz
BuildRequires:	libtool
BuildRequires:	automake1.7
BuildRequires:	autoconf2.5
BuildRequires:	zlib-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
libzip is a C library for reading, creating, and modifying zip archives. Files
can be added from data buffers, files, or compressed data copied directly from
other zip archives. Changes made without closing the archive can be reverted.
The API is documented by man pages.

%package -n	%{libname}
Summary:	A C library for reading, creating, and modifying zip archives
Group:          System/Libraries

%description -n	%{libname}
libzip is a C library for reading, creating, and modifying zip archives. Files
can be added from data buffers, files, or compressed data copied directly from
other zip archives. Changes made without closing the archive can be reverted.
The API is documented by man pages.

%package -n	%{libname}-devel
Summary:	Static library and header files for the %{name} library
Group:		Development/C
Requires:	%{name} = %{version}
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}
Obsoletes:	%{mklibname zip 0}-devel

%description -n	%{libname}-devel
libzip is a C library for reading, creating, and modifying zip archives. Files
can be added from data buffers, files, or compressed data copied directly from
other zip archives. Changes made without closing the archive can be reverted.
The API is documented by man pages.

This package contains the static %{name} library and its header files.

%prep

%setup -q -n %{name}-%{version}

%build
export WANT_AUTOCONF_2_5=1
rm -f configure
libtoolize --copy --force; aclocal-1.7; autoconf --force; autoheader; automake-1.7 --foreign

%configure2_5x

%make

%check
make check

%install
rm -rf %{buildroot}

%makeinstall_std

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS NEWS README THANKS TODO
%{_bindir}/zipcmp
%{_bindir}/zipmerge
%{_bindir}/ziptorrent
%{_mandir}/man1/zipcmp.1*
%{_mandir}/man1/zipmerge.1*
%{_mandir}/man1/ziptorrent.1*

%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS NEWS README THANKS TODO
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/pkgconfig/libzip.pc
%{_mandir}/man3/*


%changelog
* Sat Jul 26 2008 Oden Eriksson <oeriksson@mandriva.com> 0.9-1mdv2009.0
+ Revision: 250084
- 0.9

* Sat Jun 28 2008 Oden Eriksson <oeriksson@mandriva.com> 0.8-5mdv2009.0
+ Revision: 229719
- rebuild

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Feb 17 2008 Oden Eriksson <oeriksson@mandriva.com> 0.8-3mdv2008.1
+ Revision: 169560
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Sep 18 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.8-2mdv2008.0
+ Revision: 89855
- rebuild

* Thu Jun 07 2007 Oden Eriksson <oeriksson@mandriva.com> 0.8-1mdv2008.0
+ Revision: 36504
- 0.8


* Sun Mar 04 2007 Oden Eriksson <oeriksson@mandriva.com> 0.8-0.20070304.1mdv2007.0
+ Revision: 132044
- new snap (20070304)
- enable the test suite

* Tue Jan 16 2007 Oden Eriksson <oeriksson@mandriva.com> 0.8-0.20070116.1mdv2007.1
+ Revision: 109377
- use a recent snap (20070116)

* Thu Nov 16 2006 Oden Eriksson <oeriksson@mandriva.com> 0.7.1-5mdv2007.1
+ Revision: 84765
- disable borked tests for now
- bs f*uk
- Import libzip

* Thu Nov 02 2006 Oden Eriksson <oeriksson@mandriva.com> 0.7.1-3
- fix deps

* Sat May 20 2006 Oden Eriksson <oeriksson@mandriva.com> 0.7.1-2mdk
- oops! major bump required

* Fri May 19 2006 Oden Eriksson <oeriksson@mandriva.com> 0.7.1-1mdk
- 0.7.1

* Sun Mar 05 2006 Oden Eriksson <oeriksson@mandriva.com> 0.6.1-1mdk
- initial Mandriva package

